Subject: [PATCH 1/5] ARM: ux500: Move DMA40 platform data includes file out to include/

From: [email-masked] (Lee Jones)
Date: Tue, 9 Apr 2013 08:05:58 +0100

On Mon, 08 Apr 2013, Arnd Bergmann wrote:

> On Monday 08 April 2013, Lee Jones wrote:
> > The pin names for DB8500 based platforms need to be moved out of
> > ux500 platform data and into the new proper location in include/
> > linux/platform_data/. This way we an reference them from other
> > external locations, such as the main DMA50 driver(s).
> > 
> > Signed-off-by: Lee Jones <[email-masked]>
> 
> Hmm, not sure about this one. The slave numbers are not really platform_data
> and I think they should not be exposed to drivers. It makes sense to
> keep the numbers for the memcpy channels in the driver itself as they
> are hardwired in the driver, but the slave channels should stay in the
> platform I think.

Just looking at this again now. So you're right in that the main
reason for moving these out of platform code and into the system-wide
platform data area is for the memcpy channels. However, I'd prefer to
keep the channel allocation enum fully contiguous rather than
splitting them out.

The channels are only exposed to the one external driver which
includes them, and that's the D40 driver.

How against this move are you?

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog